import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (c, r, l, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, l) : r, s = c.length - 1, i; s >= 0; s--)
    (i = c[s]) && (e = (t ? i(r, l, e) : i(e)) || e);
  return t && e && g(r, l, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--orderFilledLarge", this.class = "c-pieIcon c-pieIcon--orderFilledLarge", this.name = "IconOrderFilledLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--orderFilledLarge"><path d="M23.875 3.75H8.125A2.625 2.625 0 0 0 5.5 6.375v21.928l3.561-1.9 3.439 1.978 3.5-1.968 3.5 1.968 3.43-1.977 3.57 1.898V6.375a2.625 2.625 0 0 0-2.625-2.625M19.5 21.25h-7V19.5h7zm1.75-3.5h-10.5V16h10.5zm-8.75-6.816 1.242-1.243 1.567 1.575 3.754-3.762 1.312 1.242-4.996 4.988z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-order-filled-large")
], o);
export {
  o as IconOrderFilledLarge
};
